Curio 4.0.2 Release Notes

Release Date

July 16, 2007

Requirements

Curio requires Mac OS X v10.4 or above on Intel or PowerPC Macs.
Mac OS X v10.3 (Panther) is no longer supported!

Notable Features

Notable Fixes